@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;600&display=swap');

* {
    box-sizing: border-box;
}

body {
    background: #16171a;
    margin: 0;
    padding: 0;
}

.w-100 {
    width: 100%;
}

.h-100 {
    height: 100%;
}

.bottom {
    position: relative;
    z-index: 10;
}

.info p {
    margin: 0;
    padding: 0;
    color: #8d98ae;
    font-weight: 400;
    font-size: 10px;
    line-height: 1.3;
    text-align: center;
}

.error-form {
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    justify-content: center;
    align-items: center;
    z-index: 99;
    border-radius: 10px;
    background: #1b1c1f;
    width: 100%;
    height: 100%;
    font-family: 'Inter', sans-serif;
}

.form-bg {
    position: absolute;
    z-index: 0;
    inset: 0;
}

.form-bg-img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;
}

.error-inner {
    display: flex;
    position: relative;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    z-index: 99;
    border-radius: 16px;

    background: #16171a;
    padding: 18px 11px;
    width: 100%;
    max-width: 260px;
    height: fit-content;
    overflow: hidden;
    animation: fadeIn 0.3s ease-in-out;
}

.error-inner.show {
    animation: fadeIn 0.3s ease-in-out;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.error-hero {
    margin-bottom: 14px;
    width: 81px;
    height: 80px;

    pointer-events: none;
}

.error-hero img {
    width: 100%;
    height: 100%;
}

.error-title {
    margin: 0 0 11px 0;
    width: 100%;
    color: #fdfdfd;
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 1.12;
    font-family: 'Inter', sans-serif;
    text-align: center;
}

.tag-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 8px;
    margin: 0 0 13px 0;
    padding: 0;
    width: 100%;
    list-style: none;
}

.tag {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 17px;
    background: #c80732;
    padding: 1px 7px;
    height: 15px;
}

.tag-text {
    color: #fff;
    font-weight: 600;
    font-size: 8.26px;
    line-height: 1;
    font-family: 'Inter', sans-serif;
    letter-spacing: 0px;
    text-align: center;
}

.error-text {
    margin-bottom: 6px;
    color: #8d98ae;
    font-style: normal;
    font-weight: 400;
    font-size: 10px;
    line-height: 130%;
    font-family: 'Inter', sans-serif;
    text-align: center;
}

.green {
    color: #05b568;
}

.socials-title {
    margin-bottom: 4px;
    color: #fdfdfd;
    font-style: normal;
    font-weight: 400;
    font-size: 11px;
    line-height: 31px;
    font-family: 'Inter', sans-serif;
    text-align: center;
}

.error-socials {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 13px;
    padding: 0;
    list-style: none;
}

.social-line {
    width: 26px;
    height: 26px;
}

.social-link {
    display: block;
    width: 100%;
    height: 100%;
}

@media (min-width: 768px) {
    .error-inner {
        padding: 24px 50px 32px 50px;
        max-width: 596px;
    }

    .error-hero {
        margin-bottom: 16px;
        width: 126px;
        height: 126px;
    }

    .error-title {
        margin: 0 0 19px 0;
        font-size: 24px;
    }

    .tag-list {
        gap: 11px;
        margin: 0 0 17px 0;
    }

    .tag {
        border-radius: 16px;
        padding: 1px 12px;
        height: 23px;
    }

    .tag-text {
        font-size: 14px;
    }

    .error-text {
        margin: 0 auto 13px auto;
        width: 100%;
        max-width: 475px;
        font-size: 14px;
    }

    .error-text br {
        display: none;
    }

    .socials-title {
        font-size: 18px;
    }

    .error-socials {
        gap: 24px;
        margin-bottom: 30px;
    }

    .social-line {
        width: 39px;
        height: 39px;
    }

    .info p {
        font-size: 14px;
    }
}